org.eclipse.viatra.dse.objectives.impl

## Class ConstraintsObjective.QueryConstraint

- java.lang.Object
- - org.eclipse.viatra.dse.objectives.impl.ConstraintsObjective.QueryConstraint

- Enclosing class:
    ConstraintsObjective

      public static class ConstraintsObjective.QueryConstraint
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `name`
    `IQuerySpecification<? extends ViatraQueryMatcher<? extends IPatternMatch>>` | `query`
    `ModelQueryType` | `type`
    `java.lang.Double` | `weight`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `QueryConstraint(java.lang.String name, IQuerySpecification<? extends ViatraQueryMatcher<? extends IPatternMatch>> query, java.lang.Double weight)`
    `QueryConstraint(java.lang.String name, IQuerySpecification<? extends ViatraQueryMatcher<? extends IPatternMatch>> query, java.lang.Double weight, ModelQueryType type)`
    `QueryConstraint(java.lang.String name, IQuerySpecification<? extends ViatraQueryMatcher<? extends IPatternMatch>> query, ModelQueryType type)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### name

          public final java.lang.String name

    - #### query

          public final IQuerySpecification<? extends ViatraQueryMatcher<? extends IPatternMatch>> query

    - #### weight

          public final java.lang.Double weight

    - #### type

          public final ModelQueryType type

  - ### Constructor Detail

    - #### QueryConstraint

          public QueryConstraint(java.lang.String name,
                                 IQuerySpecification<? extends ViatraQueryMatcher<? extends IPatternMatch>> query,
                                 java.lang.Double weight,
                                 ModelQueryType type)

    - #### QueryConstraint

          public QueryConstraint(java.lang.String name,
                                 IQuerySpecification<? extends ViatraQueryMatcher<? extends IPatternMatch>> query,
                                 java.lang.Double weight)

    - #### QueryConstraint

          public QueryConstraint(java.lang.String name,
                                 IQuerySpecification<? extends ViatraQueryMatcher<? extends IPatternMatch>> query,
                                 ModelQueryType type)